#header {
	position: absolute;
	top: 0;
	right: 0;
	left: 0;
	padding: 20px 0;
	z-index: 1;

	@include media(">=tablet") {
		padding: 42px 0;
	}

	.container {
		max-width: 1330px;
		display: flex;
	}
}

.header-frame {
	width: 50%;
	display: flex;
	align-items: center;

	@include media(">=tablet") {
		width: 70%;
	}
}

.logo {
	width: 102px;
	margin-right: 25px;
	display: block;
}

.navigation {
	width: calc(100% - 127px);
}

#nav {
	@extend %listreset;

	position: absolute;
	right: -9999px;
	top: 100%;
	width: 100%;
	background-color: $white;
	height: calc(100vh - 90px);

	@include media(">=tablet") {
		display: flex;
		position: static;
		height: auto;
		background: none;
	}

	li {
		position: relative;
		padding: 10px;

		@include media(">=tablet") {
			padding: 0;
		}

		a {
			color: $dark-gray;
			padding: 0 18px;
			position: relative;

			@include media(">=tablet") {
				color: $white;
				display: block;
			}

			&:not(:only-child) {
				&:after {
					content: "\e900";
					font-family: 'icomoon';
					font-size: 4px;
					position: absolute;
					right: 0;
					top: 50%;
					transform: translateY(-50%);
				}
			}
		}

		&.hover {

			> ul {
				opacity: 1;
				visibility: visible;

				@include media("<tablet") {
					position: static;
					width: 100%;
					padding-top: 0;
					transform: translate(0);
				}

				ul {
					left: 100%;
					top: 0;
					padding: 0;
					transform: translateX(0);
					margin-left: 1px;
				}
			}

			>a {
				@include animate(color);

				color: $green;
			}

			li {
				
				&:after {
					content: '';
					position: absolute;
					right: -1px;
					top: 0;
					height: 100%;
					width: 1px;
				}
			}
		}
	}

	ul {
		@extend %listreset;

		@include animate(opacity visibility);

		position: absolute;
		width: 160px;
		opacity: 0;
		visibility: hidden;
		left: 50%;
		transform: translateX(-50%);
		padding-top: 30px;
		top: 100%;

		li {
			background-color: $white;
			margin-bottom: 1px;
			padding: 6px 10px;
		}

		a {
			color: $gray;
		}
	}
}

.nav-active {
	@include media("<tablet") {
		#nav {
			right: 0;
			overflow: scroll;
		}
	}
}

.nav-opener {
	display: block;
	width: 40px;
	height: 40px;
	position: relative;

	@include media(">=tablet") {
		display: none;
	}

	&:before,
	&:after,
	span {
		@include animate(all);

		background: $white;
		border-radius: 4px;
		position: absolute;
		top: 17px;
		left: 15%;
		right: 15%;
		height: 3px;
	}

	&:before,
	&:after {
		content: "";
		top: 10px;
	}

	&:after {
		top: 24px;
	}

	.nav-active & {

		&:before,
		&:after {
			top: 20px;
			transform: rotate(45deg);
			top: 16px;
		}

		&:after {
			transform: rotate(-45deg);
		}

		span {
			display: none;
		}
	}
}

.side {
	width: 50%;
	font-size: 12px;
	display: flex;
	align-items: center;
	justify-content: flex-end;

	@include media(">=phone") {
		font-size: 16px;
	}

	@include media(">=tablet") {
		width: 30%;
	}

	.login, .signup {
		color: $white;
	}

	.login {
		@include animate(color);

		margin-right: 20px;

		@include media(">=tablet") {
			margin-right: 40px;
		}

		&:hover {
			color: $green;
		}
	}

	.signup {
		@include animate(background border);

		padding: 5px;
		border: 2px solid #86bbe7;
		border-radius: 6px;

		@include media(">=phone") {
			padding: 10px 20px;
		}

		@include media(">=desktop") {
			padding: 7px 30px 7px;
		}

		&:hover {
			background-color: $green;
			border: 2px solid $green;
		}
	}
}
